% analyze errors for 2d square well
% Kyle Konrad 12/2/09

k = 200;
n = 30;
s = 5;
slopes = zeros(n,2);

for j = 1:n
    N = j*s+20;
    [v,e,errors] = twodeigs(N,k,0);
    int = (1:.7*k)';
    m = polyfit(int, errors(int),1);
    slopes(j,1) = N;
    slopes(j,2) = m(1);
end
figure; plot(slopes(:,1),slopes(:,2));
figure; plot(log(slopes(:,1)),log(slopes(:,2)));

r = polyfit(log(slopes(:,1)),log(slopes(:,2)),1);